<script setup lang="ts">
    import SSignInButton from '@/components/ui/SSignInButton.vue'
    import SSignOutButton from '@/components/ui/SSignOutButton.vue'
    import { useIsAuthenticated } from '@/plugins/msal/useIsAuthenticated'
    const isAuthenticated = useIsAuthenticated()
</script>

<template>
    <s-sign-out-button v-if="isAuthenticated" />
    <s-sign-in-button v-else />
</template>
